MARC::Charset::Compiler(3pm)

NAME
MARC::Charset::Compiler - compile XML mapping rules from LoC

SYNOPSIS
    $compiler = MARC::Charset::Compiler->new();
    $table = $compiler->compile('codetables.xml');

DESCRIPTION
MARC::Charset uses mapping rules from the Library of Congress for generating a MARC::Charset::Table for looking up utf8 values based on the source MARC-8 character set and the character.

METHODS

new()
The constructor.

compile()
Pass in the path to an XML file to compile.